#!/usr/bin/perl

use strict;
use warnings;

use Test::More;

use Metrics::Any::Adapter 'Null';
use Metrics::Any '$metrics';

ok( defined eval { $metrics->make_counter( "name" ); 1 },
   '$metrics->make_counter' );

ok( defined eval { $metrics->inc_counter( "name" ); 1 },
   '$metrics->inc_counter' );

done_testing;
